This is the mail archive of the crossgcc@sources.redhat.com mailing list for the crossgcc project.
See the CrossGCC FAQ for lots more information.
| Index Nav: | [Date Index] [Subject Index] [Author Index] [Thread Index] | |
|---|---|---|
| Message Nav: | [Date Prev] [Date Next] | [Thread Prev] [Thread Next] |
| Other format: | [Raw text] | |
Attached is an update for the GDB patch that works with the latest crosstool-0.35 and GDB-6.3 release. Tested for MIPS target only.
diff -urN crosstool-0.35/all.sh crosstool-0.35-patched/all.sh
--- crosstool-0.35/all.sh 2005-05-08 00:50:54.000000000 -0500
+++ crosstool-0.35-patched/all.sh 2005-06-16 22:39:35.000000000 -0500
@@ -87,6 +87,9 @@
--builduserland|-builduserland)
opt_builduserland=1
;;
+ --buildgdb|-buildgdb)
+ opt_buildgdb=1
+ ;;
--notest|-notest)
opt_no_test=1
;;
@@ -129,6 +132,10 @@
# Build a Linux kernel to see if we can
sh testlinux.sh
fi
+if test "$opt_buildgdb" = "1"; then
+ # Build gdb
+ sh gdb.sh
+fi
if test "$opt_builduserland" = "1"; then
# Build /bin/sh and any other non-toolchain things configured in ptx.config
diff -urN crosstool-0.35/gdb.sh crosstool-0.35-patched/gdb.sh
--- crosstool-0.35/gdb.sh 1969-12-31 18:00:00.000000000 -0600
+++ crosstool-0.35-patched/gdb.sh 2005-06-16 22:58:18.000000000 -0500
@@ -0,0 +1,35 @@
+#! /bin/sh
+
+abort() {
+ echo $@
+ exec false
+}
+
+test -z "$GDB_DIR" && abort "Please set GDB_DIR"
+
+set -ex
+
+rm -rf $BUILD_DIR/build-gdb
+mkdir $BUILD_DIR/build-gdb
+cd $BUILD_DIR/build-gdb
+../$GDB_DIR/configure --prefix=$PREFIX --target=$TARGET --srcdir=$BUILD_DIR/$GDB_DIR
+make $PARALLELMFLAGS all
+make install
+
+if test -z "$USE_SYSROOT"; then
+ SYSROOT=$PREFIX/$TARGET
+else
+ SYSROOT=$PREFIX/target
+fi
+
+rm -rf $BUILD_DIR/build-gdbserver
+mkdir $BUILD_DIR/build-gdbserver
+cd $BUILD_DIR/build-gdbserver
+CC=$PREFIX/bin/$TARGET-gcc ../$GDB_DIR/gdb/gdbserver/configure --prefix=$SYSROOT --host=$TARGET --srcdir=$BUILD_DIR/$GDB_DIR/gdb/gdbserver
+make $PARALLELMFLAGS all
+make install
+
+# GDB install leaves some cruft...
+rm -f $PREFIX/lib/libiberty.a
+rm -f $PREFIX/lib/libmmalloc.a
+rm -f $PREFIX/lib/lib${TARGET}-sim.a
diff -urN crosstool-0.35/getandpatch.sh crosstool-0.35-patched/getandpatch.sh
--- crosstool-0.35/getandpatch.sh 2005-05-19 12:58:29.000000000 -0500
+++ crosstool-0.35-patched/getandpatch.sh 2005-06-16 22:39:35.000000000 -0500
@@ -181,6 +181,12 @@
# Download, unpack, and patch all the needed source tarballs,
+if test -n "$GDB_DIR" ; then
+ getUnpackAndPatch \
+ ftp://sources.redhat.com/pub/gdb/old-releases/$GDB_DIR.tar.bz2 \
+ ftp://sources.redhat.com/pub/gdb/releases/$GDB_DIR.tar.bz2
+fi
+
# Grab it if we want to build userland...
if test -n "$PTXDIST_DIR" ; then
getUnpackAndPatch http://www.kegel.com/crosstool/$PTXDIST_DIR.tar.gz
------ Want more information? See the CrossGCC FAQ, http://www.objsw.com/CrossGCC/ Want to unsubscribe? Send a note to crossgcc-unsubscribe@sources.redhat.com
| Index Nav: | [Date Index] [Subject Index] [Author Index] [Thread Index] | |
|---|---|---|
| Message Nav: | [Date Prev] [Date Next] | [Thread Prev] [Thread Next] |